Bug 474531 - F10: python error in /usr/lib/yum-plugins/rpm-warm-cache.py after most yum operations
F10: python error in /usr/lib/yum-plugins/rpm-warm-cache.py after most yum op...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened, Triaged
: 493205 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 05:50 EST by Torbjørn Lindahl
Modified: 2014-01-21 18:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:08:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Torbjørn Lindahl 2008-12-04 05:50:09 EST
Description of problem:

After yum install or yum remove opreations I get the a popup in gnome with the following error:


Error Type: <type 'exceptions.TypeError'>
Error Value: 'NoneType' object is unsubscriptable
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2202, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2199, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 599, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 507, in dispatch_command
    self.get_updates(filters)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1733, in get_updates
    ygl = self.yumbase.doPackageLists(pkgnarrow='updates')
  File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 1470, in doPackageLists
    for (n,a,e,v,r) in self.up.getUpdatesList():
  File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 605, in <lambda>
    up = property(fget=lambda self: self._getUpdates(),
  File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 490, in _getUpdates
    self._up = rpmUtils.updates.Updates(self.rpmdb.simplePkgList(), self.pkgSack.simplePkgList())
  File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 592, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 435, in _getSacks
    self.repos.populateSack(which=repos)
  File : /usr/lib/python2.5/site-packages/yum/repos.py, line 223, in populateSack
    self.doSetup()
  File : /usr/lib/python2.5/site-packages/yum/repos.py, line 71, in doSetup
    self.ayum.plugins.run('postreposetup')
  File : /usr/lib/python2.5/site-packages/yum/plugins.py, line 176, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File : /usr/lib/yum-plugins/rpm-warm-cache.py, line 31, in postreposetup_hook
    if commands[0] in ('upgrade', 'install', 'remove'):

smolt:
http://www.smolts.org/client/show/pub_e3da439f-0cc5-4eb2-b375-b16afe14d48f

Version-Release number of selected component (if applicable):

PackageKit-0.3.9-4.fc10.i386

How reproducible:

happens with any yum operation on this system

Steps to Reproduce:
1. install a fairly minimal fedora 10 system
2. yum install yum*
3. yum install some package or yum remove
  
Actual results:
a successfull yum operation

Expected results:
a popup with an error

Additional info:
Comment 1 Tim Lauridsen 2008-12-04 06:33:24 EST
This is a problem with the rpm-warm-cache plugin, only working with yum-cli

yum remove yum-rpm-warm-cache will remove the plugin.

Why do you do a 'yum install yum*', do you need all available yum plugins, just install the ones you need :)
Comment 2 seth vidal 2008-12-08 12:32:54 EST
fixed in upstream yum-utils.
Comment 3 James Antill 2009-04-01 09:49:22 EDT
*** Bug 493205 has been marked as a duplicate of this bug. ***
Comment 4 Michal Schmidt 2009-04-06 07:05:25 EDT
Reopening. "bctrainers" reported the traceback is still there in F10 and I can reproduce it on Rawhide.
The bug is the exception is a TypeError, not an IndexError (which would be handled).
Comment 5 seth vidal 2009-04-06 09:39:17 EDT
I don't think F10 has seen a yum-utils update. But the bug is still closed in upstream.

So why did you reopen it?
Comment 6 James Antill 2009-04-06 09:52:24 EDT
Ok, thanks, I changed the exception to just use an if check.
Comment 7 Bug Zapper 2009-11-18 05:19:06 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 02:08:45 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.